Граблями устлан наш путь.

Вчера ночью обновил несколько плагинов для вордпресса, хотя и зарекался что-то улучшать по ночам. Утром попытки написать новое сообщение привели к выскакивающим сообщениям об ошибках в SQL, что-то о некорректных записях, мол такие там уже есть и прочая ересь.

WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND post_type = 'post' ORDER BY score DESC' at line 1]
SELECT DISTINCT ID,post_title,post_date,MATCH(post_title,post_content) AGAINST (' ') AS score FROM wp_posts WHERE MATCH (post_title,post_content) AGAINST (' ') AND post_date <= '2009-08-04 15:55:41' AND post_status = 'publish' AND id != AND post_type = 'post' ORDER BY score DESC Warning: Cannot modify header information - headers already sent by (output started at *****/wp-includes/wp-db.php:587) in *****/wp-includes/pluggable.php on line 865

Методом отключения был найден плагин-диверсант, им оказался Contextual Related Posts 1.4. Танцы-шаманцы не помогли, оно так и не заработало. Откатился на версию 1.3.1, которая работает нормально.

Дополнено: Пока с этим разбирался, забыл о чём хотел написать. Грустно.